## supertransball2 1.5

=== sources/Makefile ===
OBJS := \
	auxiliar.o           configuration.o     encoder.o \
	enemies.o            fonts.o       	 game.o \
	main.o               maps.o              replays.o \
	state_changepack.o   state_chooseship.o  state_endsequence.o \
	state_game.o         state_gameover.o    state_instructions.o \
	state_interphase.o   state_keyredefinition.o \
	state_levelfinished.o state_logo.o       state_mainmenu.o \
	state_replay.o       state_replaymanager.o \
	state_typetext.o     tiles.o             transball.o \

all: stransball2

%.o: %.cpp
	c++ -c -g3 -O3 $< -o $@ `sdl-config --cflags` -I/usr/local/include/SDL

# dynamically linked binary:
stransball2: $(OBJS)
	c++ $^ -o $@ `sdl-config --libs` -lSDL_image -lSDL_mixer -lSDL_sound -lSDL_sound -lSGE -I/usr/local/include/SDL
	mv ./stransball2 ..

clean:
	rm -f stransball2
	rm -f *.o

=== debian/changelog ===
supertransball2 (1.5-6) unstable; urgency=low

  * debian/rules:
    - Use separate dh_auto_install-arch and dh_auto_install-indep
      overrides to avoid a FTBFS on the build servers.

 -- Markus Koschany <apo@gambaru.de>  Wed, 16 Jan 2013 17:02:03 +0100

supertransball2 (1.5-5) unstable; urgency=low

  * New Maintainer. (Closes: #661457)
  * Switch to package format 3.0 (quilt). Thanks Jari Aalto for the patch!
    (Closes: #668030).
  * Remove patch for command line option -f for fullscreen, it does not work.
    Instead improve supertransball2's manpage and suggest using the ingame key
    combinations ALT+1,2,3,4 or ALT+ENTER to control the video mode.
    (Closes: #590636)
  * Bump compat level to 9 and require debhelper >=9 for automatic hardening
    build flags.
  * Merge the old patches into one and modify the Makefile. Don't link against
    libsdl_sound anymore to avoid a superfluous dependency.
  * debian/control:
  - Add hardening wrapper to Build Depends.
  - Add Vcs-fields and point to supertransball2's git repository at
    git.debian.org.
  - Improve the package description.
  * debian/rules:
  - Use dh sequencer to simplify debian/rules.
  - Split readme.txt in README and changelog and install them in the
    right place.
  - Build with hardening=+all.
  * Add a desktop file, menu file and icons.
  * Update debian/copyright to copyright format 1.0.

 -- Markus Koschany <apo@gambaru.de>  Mon, 29 Oct 2012 15:48:17 +0100

supertransball2 (1.5-4) unstable; urgency=low

  * QA upload as part of Salzburg BSP.
  * Set Maintainer field to QA Group as the package has been orphaned.
    closes: 675219

 -- Willi Mann <willi@debian.org>  Fri, 15 Jun 2012 15:10:04 +0200

supertransball2 (1.5-3) unstable; urgency=low

  * Patch to fix config file recreation. (closes: #334841)
  * Patch to fix crash cause of checking. (closes: #335166)
  * Update manual page.
  * Update standards version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sun,  6 Nov 2005 18:28:30 +0100

supertransball2 (1.5-2) unstable; urgency=low

  * Allocate enough memory for C string. (closes: #311861)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue,  7 Jun 2005 13:18:32 +0200

supertransball2 (1.5-1) unstable; urgency=low

  * Initial Release. (closes: #260882)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue, 20 Jul 2004 00:47:46 +0200

=== debian/control ===
Source: supertransball2
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Markus Koschany <apo@gambaru.de>
Build-Depends:
 debhelper (>= 9),
 hardening-wrapper,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl-sge-dev,
 libsdl1.2-dev
Standards-Version: 3.9.4
Homepage: http://www.braingames.getput.com/stransball2/
Vcs-Git: git://anonscm.debian.org/pkg-games/supertransball2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/supertransball2.git;a=summary

Package: supertransball2
Architecture: any
Depends:
 supertransball2-data (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Thrust type of game
 Super Transball 2 is a game which was inspired by ZARA THRUSTA for the Amiga
 500. In each level the goal is to find the SPHERE, to capture it and to carry
 it to the upper part of the level. The main challenge is the gravity that
 attracts your ship which makes it inevitable to control the ship's thrust.
 Many other obstacles like cannons, tanks, doors or lasers will also try to
 make your journey difficult and don't be wasteful with your thrusters and
 weapons or you will run out of fuel in no time.

Package: supertransball2-data
Architecture: all
Depends: ${misc:Depends}
Suggests: supertransball2
Description: data files for supertransball2
 Super Transball 2 is a game which was inspired by ZARA THRUSTA for the Amiga
 500. In each level the goal is to find the SPHERE, to capture it and to carry
 it to the upper part of the level. The main challenge is the gravity that
 attracts your ship which makes it inevitable to control the ship's thrust.
 Many other obstacles like cannons, tanks, doors or lasers will also try to
 make your journey difficult and don't be wasteful with your thrusters and
 weapons or you will run out of fuel in no time.
 .
 Super Transball 2 ships with 3 unique level packs consisting of 26 levels in
 total. This package contains the data files for Super Transball 2.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_HARDENING=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ 

override_dh_auto_build:
	cd sources && $(MAKE)

override_dh_auto_install-arch:
	cd sources && $(MAKE) install \
		DESTDIR=$(CURDIR)/debian/supertransball2

override_dh_auto_install-indep:
	cd sources && $(MAKE) install-data \
		DESTDIR=$(CURDIR)/debian/supertransball2-data
	find $(CURDIR)/debian/supertransball2-data \
		-name "WS_FTP.LOG" -exec rm {} \;

override_dh_installdocs:
	head -n 40 readme.txt > README
	tail -n 38 readme.txt > changelog
	dh_installdocs

=== debian/watch ===
# There hasn't been a new upstream release since 2005. The game is considered
# being complete. Nevertheless let's check for new versions even if they are
# only available for windows.
version=3
http://www.braingames.getput.com/stransball2/ \
 downloads/stransball2-v(\d)(\d+)-windows.zip
